/*
 * Accounting module
 *
 * $Id: acc_mod.h,v 1.4 2002/11/11 20:23:06 kozlik Exp $
 *
 * Copyright (C) 2001-2003 Fhg Fokus
 *
 * This file is part of ser, a free SIP server.
 *
 * ser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * For a license to use the ser software under conditions
 * other than those described here, or to purchase support for this
 * software, please contact iptel.org by e-mail at the following addresses:
 *    info@iptel.org
 *
 * ser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _FCP_H
#define _FCP_H

#include "../../db/db.h"
#include "fcp.h"

/* module parameter declaration */
extern char *fcp_server;
extern int fcp_port;
extern int fcp_timer;
extern int fcp_flag;
extern int usesyslog;
extern int usenat;
extern char *sip_proxy_ip;
extern char *firewall_ip;

extern int early_media;
extern int failed_transactions;

extern db_con_t* db_handle; /* Database connection handle */

int sd; /* Socket descriptor for fcp connection */

#endif
