#include <string.h>
#include <stdio.h>
#include <fcntl.h>
#include <regex.h>
#include <sys/types.h> /* for regex */
#include <stdlib.h>

#include "../../str.h"
#include "../../data_lump_rpl.h"

#define append_str(_p,_s,_l) \
	{memcpy((_p),(_s),(_l));\
	(_p) += (_l);}

#define IP4_LENGTH 16

int match(const char *string, char *pattern, regmatch_t *pm);
long int string_to_int(char *s);
int int_to_char(char *dest, int src, int size);
int get_offset_end(char *string, char *key);
int get_offset_start(char *string, char *key);
char* skip_chars(char* _s);
char* skip_delims(char* _s);
int get_int_value(char *s, char *key);
char* get_char_value(char *s, char *key);
